## com.bbn.openmap.layer.vpf
Interface VPFWarehouse

All Known Subinterfaces:
  VPFFeatureWarehouse, VPFGraphicWarehouse

All Known Implementing Classes:
  LayerGraphicWarehouseSupport, VPFFeatureGraphicWarehouse

public interface VPFWarehouse

Define an interface for a Graphic Factory for graphics read from VPF.

Method Summary
`boolean` `drawAreaFeatures()` Return true if we may draw some area features.
`boolean` `drawCPointFeatures()` Return true if we may draw some connected node(point) features.
`boolean` `drawEdgeFeatures()` Return true if we may draw some edge features.
`boolean` `drawEPointFeatures()` Return true if we may draw some entity node(point) features.
`boolean` `drawTextFeatures()` Return true if we may draw some text features.
`java.util.List` `getFeatures()` Get a List of Strings listing all the feature types wanted.
`java.awt.Component` `getGUI(LibrarySelectionTable lst)` Get the GUI to control different aspects of the warehouse.
`java.lang.String` `getUseLibrary()` Get a library name to limit selections from.
`void` `resetForCAT()` To let the warehouse know that a new CoverageAttributeTable will be using the warehouse.
`void` `setUseLibrary(java.lang.String lib)` Set a library name to limit selections from.

Method Detail

### drawEdgeFeatures

    public boolean drawEdgeFeatures()

  Return true if we may draw some edge features.

### drawTextFeatures

    public boolean drawTextFeatures()

  Return true if we may draw some text features.

### drawAreaFeatures

    public boolean drawAreaFeatures()

  Return true if we may draw some area features.

### resetForCAT

    public void resetForCAT()

  To let the warehouse know that a new CoverageAttributeTable will be using the warehouse. Some wharehouses need to reset some tables for this situation.

### getGUI

    public java.awt.Component getGUI(LibrarySelectionTable lst)

  Get the GUI to control different aspects of the warehouse.

  Parameters:
    `lst` - LibrarySelectionTable to use to get information about the data, if needed.

### drawEPointFeatures

    public boolean drawEPointFeatures()

  Return true if we may draw some entity node(point) features.

### drawCPointFeatures

    public boolean drawCPointFeatures()

  Return true if we may draw some connected node(point) features.

### getFeatures

    public java.util.List getFeatures()

  Get a List of Strings listing all the feature types wanted. Returned with the area features first, then text features, then line features, then point features.

### getUseLibrary

    public java.lang.String getUseLibrary()

  Get a library name to limit selections from. Used by the LibrarySelectionTable to find out if selection from database should be limitied to tiles or feature from certain libraries. Specified here instead of the LibrarySelectionTable in case the LST is shared among layers, since the warehouse is specific to a particular layer.

### setUseLibrary

    public void setUseLibrary(java.lang.String lib)

  Set a library name to limit selections from. Used by the LibrarySelectionTable to find out if selection from database should be limitied to tiles or feature from certain libraries. Specified here instead of the LibrarySelectionTable in case the LST is shared among layers, since the warehouse is specific to a particular layer. If null the warehouse should use all libraries available to it to gather features.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details